Skip to Content
SeyloDocs

List who has access to a project

GET
/api/v1/grants.listByProject

Lists the grants on a project and on each of its services, with the person each belongs to. Owners and admins are not listed; they always have access.

Needs grants.view on the project. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Query Parameters

projectId*string

Panel-issued id.

Match^[a-z0-9]{16}$

Response Body

Success.

application/json
  1. response
grants*array<>
Example Request
curl -X GET 'https://example.com/api/v1/grants.listByProject?projectId=string'
Example Response
{  "grants": [    {      "grant": {        "id": "string",        "userId": "string",        "scopeType": "project",        "scopeId": "string",        "scopeName": "string",        "projectId": "string",        "actions": [          "string"        ],        "createdBy": "string",        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "user": {        "id": "string",        "email": "string",        "name": "string"      }    }  ]}